## Search found 45 matches

- Wed May 08, 2019 10:30 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 177
- Replies:
**24** - Views:
**6503**

### Re: Problem 177

I'm wondering if the tolerance could be wrong for the way I'm calculating this problem. Is it possible that, given my calculation method / choice of language, the tolerance should actually be 10^(-8) or 10^(-10) or something? For the method that I used, at least, it's quite tolerant of varying tole...

- Fri Apr 05, 2019 3:06 pm
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 663
- Replies:
**11** - Views:
**413**

### Re: Problem 663

Just wanted to check, say the array $A_n = [8, -1, 2, 3, -5, 6, -100, 2, 4, 6]$, so would the maximum sub-array sum be $8 + (- 1) + 2 + 3 + (- 5) + 6 = 13$. So if negative values can be "absorbed", we should "absorb" them? That's what the definition of M implies, and you won't get the right value f...

- Tue Jan 22, 2019 2:15 pm
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 175
- Replies:
**4** - Views:
**1586**

### Re: Problem 175

While investigating problem 175 I calculated that f(242)=13 and f(241) = 17, using the function developed for problem 169. However the problem statement for 175 states that f(241) = 13 and f(240) =17. Which of us is right? The problem statement is correct. It's possible that your implementation for...

- Thu Sep 27, 2018 9:52 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 637
- Replies:
**3** - Views:
**644**

### Re: Problem 637

I don't understand where you think the problem is. No one has made any claims about f(10211914,10), and the problem statement does not give any algorithm. With 1. 1+0+2+1+1+91+4 = 100 => 2. 1+0+0 = 1 you've shown that f(10211914,10) <= 2. But then where do you get 10211914 -9*floor(10211914/9) = 1 T...

- Mon Sep 17, 2018 9:44 am
- Forum: Recreational
- Topic: Suggest me a book
- Replies:
**13** - Views:
**4552**

### Re: Suggest me a book

Albert H Beiler "Recreations in the Theory of Numbers" is an interesting one. It belongs to the very end of the hand-computation era, just as computers were starting to take over. The methods he describes are very different to the ones you'd use now. That's what made it fascinating for me. It's a lo...

- Fri Aug 31, 2018 9:21 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 504
- Replies:
**12** - Views:
**3310**

### Re: Problem 504

Yes. A point is not strictly inside if it's on an edge.

- Fri Jun 22, 2018 9:39 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 004
- Replies:
**83** - Views:
**12130**

### Re: Problem 004

Please don't post code or solutions (even wrong ones): see the big red text at the top. Are you certain that your palindrome() function works? Try testing it with a few numbers that you know are palindromes, and some that you know aren't. There is definitely more than one palindromic product of two ...

- Thu May 10, 2018 3:10 pm
- Forum: Clarifications on Project Euler Problems
- Topic: problem 206
- Replies:
**33** - Views:
**9200**

### Re: problem 206

You don't need a calculator to see that you've gone wrong: The last digit of 1388659302 is 2. Whatever the square is, its last digit will be 4, not 0.

- Wed May 02, 2018 11:08 am
- Forum: Combinatorics
- Topic: Container Packing Problem
- Replies:
**5** - Views:
**2167**

### Re: Container Packing Problem

This is a simpler version of Problem 324 https://projecteuler.net/problem=324

- Thu Sep 28, 2017 10:06 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 610
- Replies:
**15** - Views:
**1886**

### Re: Problem 610

That's what I was missing. I wasn't clear what a 'denomination' was.RobertStanforth wrote: ↑Wed Sep 27, 2017 6:12 pm'CM' is indeed considered a lower denomination than 'M'

- Wed Sep 27, 2017 11:05 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 610
- Replies:
**15** - Views:
**1886**

### Re: Problem 610

To write a roman numeral you do so by using 'greedy' algorithm. The trouble is, neither the problem nor "About... Roman Numerals" mention a greedy algorithm. I agree that CMD is not a minimal representation of 1400 (I'd say it wasn't a valid representation at all), but that comes from external expe...

- Fri Sep 15, 2017 10:39 am
- Forum: Recreational
- Topic: How to factor
- Replies:
**8** - Views:
**3192**

### Re: How to factor

It depends on how big the numbers are. For small numbers, my PE library has code to generate a table of the smallest prime divisor for all numbers up to some limit (it's not hard to adapt the usual sieve to generate this). That lets you produce a complete prime factorisation very quickly: keep divid...

- Thu Aug 03, 2017 10:43 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 317
- Replies:
**37** - Views:
**10260**

### Re: Problem 317

Therefore, the value of $\pi$ must be stated in the problem description the same way it stated for $g$. The problem is asking for the value you'd get by calculating the volume exactly, then rounding it to four decimal places. It doesn't mention $\pi$ at all. Any method of finding that rounded value...

- Mon Jul 10, 2017 10:18 am
- Forum: News, Suggestions, and FAQ
- Topic: Difficulty Ratings
- Replies:
**28** - Views:
**7610**

### Re: Difficulty Ratings

(It could just be my lack of background in some of the subjects on which these problems are based.) I'm pretty sure that's exactly what it is. It's impossible to produce an absolute objective difficulty rating, because every person is coming to Project Euler with a different set of skills. I'm weak...

- Thu Jun 29, 2017 4:10 pm
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 605
- Replies:
**9** - Views:
**1310**

### Re: Problem 605

Am I missing something about the problem? Or is it a problem with my (admittedly limited) knowledge of probability theorem? Thanks for any help that you guys can provide :) It's a bit of both. You're trying to find the probability that player 1 wins on round 4 (and no other), but P_3(1) is the prob...

- Sat May 06, 2017 10:39 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 093
- Replies:
**52** - Views:
**13197**

### Re: Problem 093

This forum isn't supposed to be for hints or checking partial solutions, although it seems that rule can be a bit flexible sometimes. You have correctly understood the problem.

Is it possible to make 8 from {1,3,7,9}?

- Wed Jan 25, 2017 11:47 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 068
- Replies:
**20** - Views:
**5112**

- Mon Oct 17, 2016 10:08 am
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 571
- Replies:
**10** - Views:
**2089**

### Re: Problem 571

You're adding the smallest super-pandigital number for each base from 2 to 10 (or 12). That's not what the question is asking for. In each base, there are many super-pandigital numbers (I suspect infinitely many). You want the smallest ten, all in the same base (10 for the example, 12 for the proble...

- Wed Jul 27, 2016 12:22 pm
- Forum: News, Suggestions, and FAQ
- Topic: [FEATURE] Javascript to be added in list of languages.
- Replies:
**1** - Views:
**670**

### Re: [FEATURE] Javascript to be added in list of languages.

It's already in the list, as ECMAScript.

- Fri Jun 10, 2016 12:46 pm
- Forum: Clarifications on Project Euler Problems
- Topic: Problem 091
- Replies:
**31** - Views:
**7780**

### Re: Problem 091

Your post seems to have been edited to remove your smaller numbers while I was replying, so I'll edit my reply to remove them too. The one you give for 4 is too low.